TAAS - Feature #40

Service Provider
09/01/2022 12:46 PM - Anil KV

Status: Reopen Bugs Start date: 09/02/2022
Priority: Normal Due date: 09/05/2022
Assignee: Nawal Sidique % Done: 50%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): 28.00 Code Reviewed By:

Module: Service Provider

Description

Coding Service Provider

GUI Changes

1) Address Text Area

2) All text area widget set row 2 in HTML
3) Phone is text type input

History

#1 - 09/01/2022 12:48 PM - Anil KV

- Due date set to 09/05/2022

- Assignee set to Anu Priya

- Start date changed from 09/01/2022 to 09/02/2022
- Estimated time set to 24:00 h

- Module changed from Currency to Service Provider

#2 - 09/01/2022 01:46 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#3 - 09/05/2022 10:20 AM - Anu Priya
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#4 - 09/14/2022 12:13 PM - Anu Priya

- Status changed from Coding Started to Particialy Coding Done

- % Done changed from 40 to 30
- Time Taken(HH) set to 28.00

#5 - 12/16/2022 11:27 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50
- Tested By set to Amal Cyriac
ISSUE FOUND *****

1.FIX ERRORS ON SUPPLIER INPUT BOX
2.CHANGE INPUT BOX STYLE IN TO [CODE:NAME]
3.ALLOW DUPLICATION ON NAME

#6 - 12/20/2022 09:52 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 12/20/2022 04:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET MANDATORY FIELDS REQUIRED
(SUPPLIER A/C)

2.FIX BUGS ON SERVICE WIDGET

(IF NO SERVICE IS TICKED, SERVICE WIDGET DEFAULTLY SELECT ALL SERVICES)
3.ALLOW MORE SPACE & SPECIAL CHARACTERS IN PHONE NUMBER

#8 - 12/22/2022 11:23 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 04/29/2023 04:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Anu Priya to Anand V Gopal

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set required validation on supplier
2.Error on console

(Additional info > add city)

#10 - 05/05/2023 06:26 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 05/24/2023 06:34 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Error on console while focus out from auto completion field
(State)

#12 - 05/25/2023 06:10 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#14 - 10/16/2023 11:00 AM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#15 - 10/16/2023 12:25 PM - Abhiram Venu

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Ready To Check

#16 - 10/16/2023 04:52 PM - unnikannan S
TESTING DONE

#17 - 11/15/2024 02:31 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

- Tested By changed from Amal Cyriac to unnikannan S

#18 - 11/29/2024 12:00 PM - Junaid M

- Assignee changed from Abhiram Venu to Nawal Sidique

#19 - 01/01/2025 06:24 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Service tab should only display services under other and transfer in service module. - FIXED

#20 - 01/02/2025 10:39 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 01/08/2025 01:30 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

- Tested By changed from unnikannan S to Arathy PS

#22 - 02/03/2025 04:14 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Swap position of remarks and status.

2. In service tab show all services.

3. Add a new tab named 'Package' here only fixed packages should be loaded.
4. After supplier add a checkbox: API Integrated Checkbox

-- Position: in the middle, Blue star with title

5. If the service is air ticket service then ticket tab should appear

6. If the service is Hotel then a hotel tab should appear.

7. In the ticket tab:

-- Type(*R):red star--select box--items:GDS, NDC, API Provider, Supplier, Other.

--If type is GDS: then a select box to select GDS (based on s/m settings)==also red star.

--If type is NDC:
a.NDC Version(*R) title: Current airline version),
b.API NDC Version, title: Integrated NDC version.

#23 - 02/06/2025 09:35 AM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#24 - 02/10/2025 11:12 AM - Arathy PS
- File clipboard-202502101106-q5gt3.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. Add blue star and title to the 'API Integrated Checkbox.'

2. Ticket tab should appear only if ticket service is selected similar for hotel service and its tab.
3. Wrong data when selecting type on edit mode.

Service Provider 219 =~ Menu-w-_Q &A1/~ 10
CodelName® | 59001 Sorvice Provider & Additional Info ~ Services*  Package*  Ticket = Hotel
Supplier” | SUPOOZ AP Tee" | NDC v i
ERP Code cosr .
it
APl Integerated
Remarks
v
rt

Status” | Active v

Created By: Administrator(10/02/2025 10:52 AM)

Modified By: Administrator(10/02/2025 10:52 AM)[1]

#25 - 02/11/2025 10:36 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#26 - 02/13/2025 10:36 AM - Arathy PS

- File clipboard-202502131032-wwwxj.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

CodelName® | spo0t Service Provider A Additional Info ~ Services*  Package® | Ticket
Supplier” | supoo1 8sp Tyee" | NDC v
ERP Code GDS* v
API Integerated*

Remarks | 1
4

Status™ - Active [The type choose is NDC and on edit mode otherlabels below it is m\ssmg]

Created By: - Administrator(13/02/2025 10:28 AM)
Modified By

Status Phone Email

Active

#27 - 02/17/2025 10:07 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 02/17/2025 02:10 PM - Theja Ponon
- File clipboard-202502171409-3am17.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)GDS is showing for API provider
Service Provider

CodelName* | WD WDFE
Supplie™ | SUPOOY BSP Supplier

ERP Code | 4556

APl Integerated” 1@

Remarks | CSDC

Status® | Active

Created By: Administrator(17/02/2025 02:05 PM)
Modified By: - Administrator(17/02/2025 02:07 PM)[3]

#29 - 02/17/2025 06:41 PM - Nawal Sidique

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#30 - 02/18/2025 02:17 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#31 - 05/02/2025 10:44 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

Additional Infe ~ Services®  Package”  Ticket | Hotel

Type®

GDS*

AP Provider

1)Ticket and hotel tabs are showing in service provider with exclusive of that services when taking edit after an service provider with those tabs

Files

1-CsModel.cs 2.6 KB 09/01/2022 Anil KV
2-tsModel.ts 1.66 KB 09/01/2022 Anil KV
3-CsFile.cs 15 KB 09/01/2022 Anil KV
4-CsControllerFile.cs 25.1 KB 09/01/2022 Anil KV
5-TsFile.ts 14.5 KB 09/01/2022 Anil KV
6-HtmlIFile.html 1.91 KB 09/01/2022 Anil KV
sql.sql 15.3 KB 09/01/2022 Anil KV
clipboard-202502101106-g5gt3.png 79.4 KB 02/10/2025 Arathy PS
clipboard-202502131032-wwwxj.png 100 KB 02/13/2025 Arathy PS
clipboard-202502171409-3am17.png 74.2 KB 02/17/2025 Theja Ponon
